For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
        • Checkouts
        • Currencies
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
        • Inventory
              • POSTCreate Locations
              • GETList Locations
              • PUTUpdate Locations
              • DELDelete Locations
                • GETList Metafields
                • POSTCreate Multiple Metafields
                • PUTUpdate Multiple Metafields
                • DELDelete Multiple Metafields
        • Orders
        • Order Operations
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
        • Shipping
        • Sites
        • Subscribers
        • System Logs
        • Tax
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementInventoryLocationsBatch Metafields

Delete Multiple Metafields

DELETE
https://api.bigcommerce.com/stores/:store_hash/v3/inventory/locations/metafields
DELETE
/stores/:store_hash/v3/inventory/locations/metafields
$curl -X DELETE https://api.bigcommerce.com/stores/store_hash/v3/inventory/locations/metafields \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '[
> 1
>]'
1{
2 "data": [
3 123,
4 124,
5 125
6 ],
7 "errors": [],
8 "meta": {
9 "total": 3,
10 "success": 3,
11 "failed": 0
12 }
13}
Delete all location metafields.
Was this page helpful?
Previous

Update Multiple Metafields

Next

Orders V2

Built with

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Store Inventoryread-onlystore_inventory_read_only
Store Inventorymodifystore_inventory

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see API Accounts and OAuth Scopes.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see API Accounts and OAuth Scopes.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Request

List of metafield IDs.

Response

Response object for metafields deletion with success.
datalist of integers
errorslist of any
Empty for 200 responses.
metaobject
Additional data about the response.

Errors

422
Unprocessable Entity Error